AEOdoo

¡Bienvenido!

Esta comunidad es para profesionales y principiantes en nuestros productos y servicios.
Comparte y discute el mejor contenido y nuevas ideas de marketing, construye tu perfil profesional y conviértete en un mejor comercializador.

0

Instalar módulo facturae, versión 13

Avatar
Josep Anton

Tenemos una instalación Odoo Enterprise V13 y estamos intentando instalar el módulo l10n_es_facturae. Después de resolver todas las dependencias (otros módulos y bibliotecas Python) nos aparece un error (pongo la traza completa al final del mensaje)

¿Alguien sabe qué está fallando? 

Gracias anticipadas. 


2021-11-19 11:16:05,121 78519 INFO impl.subdom.dom.com-paralel odoo.models: Storing computed values of res.country.code_alpha3
2021-11-19 11:16:05,121 78519 INFO impl.subdom.dom.com-paralel odoo.models: Storing computed values of res.country.code_numeric
2021-11-19 11:16:05,154 78519 WARNING impl.subdom.dom.com-paralel odoo.modules.loading: Transient module states were reset
2021-11-19 11:16:05,154 78519 ERROR impl.subdom.dom.com-paralel odoo.modules.registry: Failed to load registry
Traceback (most recent call last):
  File "/var/OCA/OCA_community-data-files/base_iso3166/models/res_country.py", line 34, in _compute_codes
    c = getattr(pycountry, country_type).get(alpha_2=country.code)
  File "/usr/lib/python3/dist-packages/pycountry/db.py", line 53, in load_if_needed
    return f(self, *args, **kw)
  File "/usr/lib/python3/dist-packages/pycountry/db.py", line 111, in get
    return self.indices[field][value]
KeyError: 'XK'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 428, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 315, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 202, in load_module_graph
    registry.init_models(cr, model_names, {'module': package.name}, new_install)
  File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 377, in init_models
    env['base'].flush()
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5506, in flush
    self.recompute()
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5948, in recompute
    process(field)
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5932, in process
    recs.mapped(field.name)
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5314, in mapped
    recs = recs._mapped_func(operator.itemgetter(name))
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5273, in _mapped_func
    vals = [func(rec) for rec in self]
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5273, in <listcomp>
    vals = [func(rec) for rec in self]
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5738, in __getitem__
    return self._fields[key].__get__(self, type(self))
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1033, in __get__
    self.compute_value(recs)
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1147, in compute_value
    records._compute_field_value(self)
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 4010, in _compute_field_value
    getattr(self, field.compute)()
  File "/var/OCA/OCA_community-data-files/base_iso3166/models/res_country.py", line 36, in _compute_codes
    c = getattr(pycountry, country_type).get(alpha2=country.code)
  File "/usr/lib/python3/dist-packages/pycountry/db.py", line 53, in load_if_needed
    return f(self, *args, **kw)
  File "/usr/lib/python3/dist-packages/pycountry/db.py", line 111, in get
    return self.indices[field][value]
KeyError: 'alpha2'
2021-11-19 11:16:05,157 78519 ERROR impl.subdom.dom.com-paralel odoo.http: Exception during JSON request handling.
Traceback (most recent call last):
  File "/var/OCA/OCA_community-data-files/base_iso3166/models/res_country.py", line 34, in _compute_codes
    c = getattr(pycountry, country_type).get(alpha_2=country.code)
  File "/usr/lib/python3/dist-packages/pycountry/db.py", line 53, in load_if_needed
    return f(self, *args, **kw)
  File "/usr/lib/python3/dist-packages/pycountry/db.py", line 111, in get
    return self.indices[field][value]
KeyError: 'XK'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 624, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 310, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 14, in reraise
    raise value
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 669, in dispatch
    result = self._call_function(**self.params)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 350, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 339, in checked_call
    result = self.endpoint(*a, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 915, in __call__
    return self.method(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap
    response = f(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1343, in call_button
    action = self._call_kw(model, method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1331, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 387, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 374, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "<decorator-gen-60>", line 2, in button_immediate_install
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 73, in check_and_log
    return method(self, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 464, in button_immediate_install
    return self._button_immediate_function(type(self).button_install)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 574, in _button_immediate_function
    modules.registry.Registry.new(self._cr.dbname, update_module=True)
  File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 428, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 315, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 202, in load_module_graph
    registry.init_models(cr, model_names, {'module': package.name}, new_install)
  File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 377, in init_models
    env['base'].flush()
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5506, in flush
    self.recompute()
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5948, in recompute
    process(field)
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5932, in process
    recs.mapped(field.name)
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5314, in mapped
    recs = recs._mapped_func(operator.itemgetter(name))
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5273, in _mapped_func
    vals = [func(rec) for rec in self]
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5273, in <listcomp>
    vals = [func(rec) for rec in self]
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5738, in __getitem__
    return self._fields[key].__get__(self, type(self))
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1033, in __get__
    self.compute_value(recs)
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1147, in compute_value
    records._compute_field_value(self)
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 4010, in _compute_field_value
    getattr(self, field.compute)()
  File "/var/OCA/OCA_community-data-files/base_iso3166/models/res_country.py", line 36, in _compute_codes
    c = getattr(pycountry, country_type).get(alpha2=country.code)
  File "/usr/lib/python3/dist-packages/pycountry/db.py", line 53, in load_if_needed
    return f(self, *args, **kw)
  File "/usr/lib/python3/dist-packages/pycountry/db.py", line 111, in get
    return self.indices[field][value]
KeyError: 'alpha2'

Avatar
Descartar

Su respuesta

Por favor trate de dar una respuesta sustancial. Si desea comentar sobre la pregunta o respuesta, utilice la herramienta de comentarios. Recuerde que siempre puede revisar sus respuestas - no hay necesidad de contestar la misma pregunta dos veces. Además, no olvide valorar - realmente ayuda a seleccionar las mejores preguntas y respuestas